<?php

namespace App\Entity;

use App\Repository\FAQRepository;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;
use Symfony\UX\Turbo\Attribute\Broadcast;

#[ORM\Entity(repositoryClass: FAQRepository::class)]
#[Broadcast]
class FAQ
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $Question = null;

    #[ORM\Column(length: 255, nullable: true)]
    private ?string $Reponse = null;

    #[ORM\Column(type: Types::DATE_MUTABLE)]
    private ?\DateTimeInterface $Derniere_modif = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function setId(int $id): static
    {
        $this->id = $id;

        return $this;
    }

    public function getQuestion(): ?string
    {
        return $this->Question;
    }

    public function setQuestion(?string $Question): static
    {
        $this->Question = $Question;

        return $this;
    }

    public function getReponse(): ?string
    {
        return $this->Reponse;
    }

    public function setReponse(?string $Reponse): static
    {
        $this->Reponse = $Reponse;

        return $this;
    }

    public function getDerniereModif(): ?\DateTimeInterface
    {
        return $this->Derniere_modif;
    }

    public function setDerniereModif(\DateTimeInterface $Derniere_modif): static
    {
        $this->Derniere_modif = $Derniere_modif;

        return $this;
    }
}
